#!/usr/bin/perl
use strict;
use warnings;
use Test::More "no_plan";
use Test::WWW::Mechanize::Catalyst 'EppClient';

####
# A simple cleanup script to remove hosts, contact objects or domains from the db.
# 1) Use the OIClient to find a list of hosts, contactIDs or domain names for a given registrar
# 2) To delete the names or IDs, copy/paste into the appropriate array below, and set the regid and password as well.
# 3) Execute this script

###
# Identify the registrar:
my $id    = 0;
my $regid = "reg$id";
my $pw    = "hello$id"; 

my $imp_id = $id;

$imp_id='9094';

unless ($id >= 0) {
    die("No registrar id specified");
}

# ContactIDs:
my @contacts = ( qw/
DB29P 
CDBS7O

/ );


# Host names:
my @hosts = ( qw/

/);


# Domain names:
my @domains = ( qw/

/);


#### Execute:
my $ua1 = Test::WWW::Mechanize::Catalyst->new;

# login with correct pw
$ua1->get_ok("http://localhost/login?clid=$regid&pw=$pw", "Login with $regid OK");
ok ($ua1->content_contains("Main menu", "Main menu found")) or die ("\n *** FATAL: Unable to login ***\n\n");


##
# Delete the domains listed above
foreach my $s (@domains) {
    $ua1->get_ok("http://localhost/domain/action?domainop=Delete&domainname=$s&vfydelete=on&vfyfacets=on&delete-immediately=on&impersonate-registrar=reg$imp_id", "Delete domain '$s' (under $regid)");
    my $regexp = qr/(delete '$s' failed.)/;
    if ($ua1->content =~ $regexp) {
	ok(1, "delete '$s' failed, not delegated or not sponsor");
    } else {
	$ua1->content_contains("delete '$s' succeeded", "Delete domain '$s' succeeded");
    }
}

### Delete the hosts listed above
foreach my $s (@hosts) {
    $ua1->get_ok("http://localhost/host/action?hostop=Delete&hostname=$s", "Delete host '$s' (under $regid)");
    my $regexp = qr/(delete '$s' failed.)/;
    if ($ua1->content =~ $regexp) {
	ok(1, "delete '$s' failed, non-existing, in use or not sponsor");
    } else {
	$ua1->content_contains("delete '$s' succeeded", "Delete host '$s' succeeded");
    }
}

### Delete the Contacts listed above
foreach my $s (@contacts) {
    $ua1->get_ok("http://localhost/contact/action?contactop=Delete&srid=$s", "Delete contact '$s' (under $regid)");
    my $regexp = qr/(delete '$s' failed.)/;
    if ($ua1->content =~ $regexp) {
	ok(1, "delete '$s' failed, non-existing, in use or not sponsor");
    } else {
	$ua1->content_contains("delete '$s' succeeded", "Delete contact '$s' succeeded");
    }
}

