// --------------------------------------------
// 
// The javascript code used by the contact form
//
// -------------------------------------------


// Contact object logic, grey out combinations 
// not relevant for the selected type of contact
// Contact form name is 'contact'

// JS function executed when page is loaded: onLoad
function load_contact () {
    var f = document.contact;

    addhandlers(f);
    change_contact(f);       // grey selects not relevant
}

function change_contact(f) {
   var id_dis         = false; 
   var org_dis        = false; 
   var role_dis       = false; 
   var brreg_dis      = false; 
   var beenhere       = false;
   var idt_beenhere   = false;
   var t_organization = false;
   var use_anonid     = false;
   var anon_beenhere  = false;
   var use_natid      = false;
   var nat_beenhere   = false;
   
   var nopc_dis   = false;
   var pc_dis     = false;
   var city_dis   = false;
   var cc_beenhere = false;
   var nopc_beenhere = false;

   var nopc_pc;
   var nopc_city;

   //  alert ("contact type changed");
   for (var i = 0; i < f.length; i++) {
      var e = f.elements[i];

       if (e.name == 'type' && !beenhere) {
         if (e.value == 'person') {
            role_dis  = true;
            id_dis    = true;
            brreg_dis = true;
         }
         if (e.value == 'organization') {
            t_organization = true;
	    org_dis = true;
            role_dis = true;
         } 
         if (e.value == 'role') {
            id_dis = true;
            brreg_dis = true;
 	 }	
	
	 beenhere = true; 
      }	
      if (e.name == 'use_nationalid' && !nat_beenhere) {
         if (e.value && e.value == 1) {
            use_natid = true;
 	 }
         nat_beenhere = true;
      }

      if (e.name == 'use_anonymousid' && !anon_beenhere) {
         if (e.value && e.value == 1) {
            use_anonid = true;
 	 }
         anon_beenhere = true;
      }

      if (e.name == 'identitytype' && !idt_beenhere) {
         if (e.value && e.value != 'organizationNumber') {
            brreg_dis = true;
         }
	 idt_beenhere = true; 
      }	

     if (e.name == 'cc' && !cc_beenhere) {
         // alert ("contact cc is changed: " + e.name + e.value);
         if(e.value == 'NO') {
            // alert ("contact cc is NO and changed: " + e.value);
 	    pc_dis   = true;
	    city_dis = true;
            nopc_dis = false;
         } else {
            // alert ("contact cc is NOT NO and changed: " +  e.value);
            pc_dis   = false;
	    city_dis = false;
            nopc_dis = true;

         }
         cc_beenhere = true; 
     }

     if (e.name == 'nopc' && !nopc_beenhere) {

        // alert (" nopc set: " + nopc_pc + nopc_city);

        if (e.value) {
           // a value is selected in the nopc dropdown, remember it

	   var sa = e.value.split(" ");
	   
           // postal code part
           nopc_pc   = sa[0];
	   sa.shift();

           // Postal area part
           nopc_city = sa.join(" ");

	   // alert (" nopc set: " + nopc_pc + nopc_city);

        }
        nopc_beenhere = true; 
     }
   }

   if (use_anonid || use_natid) {
      id_dis = false;
   }

   // alert(id_dis);


   // Insert the values
   for (var i = 0; i < f.length; i++) {
      var e = f.elements[i];

      if (e.name == 'identitytype' || e.name == 'identityvalue') {
	 if (id_dis) {
             e.disabled = true;
         } else {
	     // For organization, toggle the value to organizationNumber if not already set
	     if (e.value == '' && e.name == 'identitytype' && t_organization) {
		e.value = 'organizationNumber';
             }
             e.disabled = false;
         }
      }

      if (e.name == 'organization') {
	 if (org_dis) {
             e.disabled = true;
         } else {
             e.disabled = false;
         }
      } 

      if (e.name == 'brchk') {
        if (brreg_dis) {
           e.disabled = true;
        } else {
           e.disabled = false;
        }
      }

      if (e.name == 'rolecontact') {
	 if (role_dis) {
             e.disabled = true;
         } else {
             e.disabled = false;
         }
      } 

      // The cc logic

      if (e.name == 'nopc') {
         if (nopc_dis) {
             e.disabled = true;
	     //e.style.display='none';
         } else {
             e.disabled = false;
             //e.style.display='';
         }
	 e.value = '-change-';
      }
      if (e.name == 'pc') {
         if (pc_dis) {
             e.readOnly = true;
	     if (nopc_pc) {
 	        e.value = nopc_pc;
             }
         } else {
             e.readOnly = false;
         }
      }
      if (e.name == 'city') {
         if (city_dis) {
             e.readOnly      = true;
	     if (nopc_city) {
      	        e.value = nopc_city;
             }
         } else {
             e.readOnly = false;
         }
      }

   }
}

// disable/enable select box'es acc. to value of proctype
// If cc=NO, the nopc input field is enabled, which delivers both postal code and place from 
// the dropdown box, else the separat pc and city fields are enabled to collect
// foreignpostal code/place

// JS function executed when page is changed: onChange
function onchange_contact () {
    var f = document.contact;
    
    change_contact(f); 
}


// Add handlers
function addhandlers(f)
{	
    for (var i = 0; i < f.length; i++) {
	var e = f.elements[i];

	if (e.name == 'type' || e.name == 'cc' || e.name == 'nopc' || e.name == 'identitytype') {
	    e.onchange =  new Function ("onchange_contact()");
	} 
    }
}
