// --------------------------------------------
// 
// The javascript code used by this module
//
// -------------------------------------------
// We use the simplest DIV style calendar, it's fine
var cal1x = new CalendarPopup("eppdiv1");
var cal2x = new CalendarPopup("eppdiv1");
document.write(getCalendarStyles());

// disable older dates than today and forward from being selected in cal1x
var now = new Date();
// adjust date to yesterday
now.setDate(now.getDate()-1);
var yesterday = formatDate(now,"yyyy-MM-dd");
cal1x.addDisabledDates(null, yesterday);

// debug print
// document.write("yesterday: " + yesterday);


// JS function executed when page is loaded: onLoad
function load_domain () {
    var f = document.domainform;

    //alert ("LOAD");

    addhandlers(f);
    change_domain(f);       // grey selects not relevant
}

function change_domain(f) {
   var use_anonid     = false;
   var anon_beenhere  = false;
   var dn_beenhere    = false;
   var reg_beenhere   = false;
   var admin_dis      = false;
   var priv_dom       = false;
   var priv_reg       = false;

   for (var i = 0; i < f.length; i++) {
      var e = f.elements[i];

       if (e.name == 'domainname' && !dn_beenhere) {
         if (e.value.match(/\.priv\.no$/i)) {
            // a private domain is entered
            priv_dom = true;
	    // alert ("private domain detected");
         }
       }
      
       if (e.name == 'use_anonymousid' && !anon_beenhere) {
          if (e.value && e.value == 1) {
             use_anonid = true;
	      //alert ("anonId is enabled");
          }
          anon_beenhere = true;
       }

       if (e.name == 'registrant' && !reg_beenhere && !priv_dom) {

	   if (isPersonID(e.value)) {
	       priv_reg = true;
	       // alert ("private registrant detected");
	   }
           reg_beenhere = true;
       }
   }

    if (use_anonid && (priv_dom || priv_reg)) {
      admin_dis = true;
   }

   // Insert the values
   for (var i = 0; i < f.length; i++) {
      var e = f.elements[i];

      if (e.name == 'admin' && admin_dis) {
         e.disabled = true;
      } else {
         e.disabled = false;
      }
   }
}


// disable/enable admin box acc. to value of domain name, if xx.priv.no, disable!
function onchange_domain () {
    var f = document.domainform;

    change_domain(f); 
}

// Check if a handle is a person ID
function isPersonID (p) {

    if (!p) {
	return false;
    }

    var patt = /^[A-Z]+\d+P$/i;

    return (p.match(/^[A-Z]+\d+P$/i));

}


// Add handlers
function addhandlers(f)
{	
    for (var i = 0; i < f.length; i++) {
	var e = f.elements[i];

	if (e.name == 'domainname' || e.name == 'registrant') {
	    e.onchange =  new Function ("onchange_domain()");
	} 
    }
}
